tests: Add tests that just including the header works.
[nbdkit/ericb.git] / tests / test-single.sh
blob8f887798efa24a3ab7c851a4659627c8f0c30450
1 #!/usr/bin/env bash
2 # nbdkit
3 # Copyright (C) 2014 Red Hat Inc.
5 # Redistribution and use in source and binary forms, with or without
6 # modification, are permitted provided that the following conditions are
7 # met:
9 # * Redistributions of source code must retain the above copyright
10 # notice, this list of conditions and the following disclaimer.
12 # * Redistributions in binary form must reproduce the above copyright
13 # notice, this list of conditions and the following disclaimer in the
14 # documentation and/or other materials provided with the distribution.
16 # * Neither the name of Red Hat nor the names of its contributors may be
17 # used to endorse or promote products derived from this software without
18 # specific prior written permission.
20 # THIS SOFTWARE IS PROVIDED BY RED HAT AND CONTRIBUTORS ''AS IS'' AND
21 # ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
22 # THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
23 # PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL RED HAT OR
24 # CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
25 # SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
26 # LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
27 # USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
28 # ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
29 # OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
30 # OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
31 # SUCH DAMAGE.
33 source ./functions.sh
34 set -e
35 set -x
37 requires socat -h
38 requires qemu-img --version
40 files="single.sock single.disk"
41 rm -f $files
43 truncate -s 1G single.disk
45 socat unix-listen:single.sock,reuseaddr,fork \
46 exec:'nbdkit -r -s file single.disk' &
47 pid=$!
49 cleanup ()
51 kill $pid
52 rm -f $files
54 cleanup_fn cleanup
56 # Wait for socat to start up and create the socket.
57 for i in {1..10}; do
58 if test -S single.sock; then
59 break
61 sleep 1
62 done
63 if ! test -S single.sock; then
64 echo "$0: socket was not created"
65 exit 1
68 qemu-img info nbd:unix:single.sock